# Get daily account balance limits Get daily account balance limits for a date range. By default, if only the account ID is specified, the range is 10 days: from 10 days before yesterday's date to yesterday. You can query the account balance limits as far back as 515 days before the current date and for a maximum range of 90 days. You can't query for today's date. Refer to the [Get daily account balance limits](doc:accounts-overview#get-daily-account-balance-limits) section in the Accounts guide for more information. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Balances and limits", "version": "1.0.0", "description": "recover the description with the PM", "contact": { "name": "API Support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/balances-limits", "description": "Sandbox API server for testing" } ], "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "schemas": { "AccountBalance": { "type": "object", "properties": { "account_id": { "description": "Account ID where the operation is performed", "type": "number", "example": 1234 }, "org_id": { "description": "Org ID where the account exists", "type": "string", "example": "08102A0B-D4F8-42A2-8B0E-2052D05577D7" }, "ref_date": { "description": "Date of the balance", "type": "string", "format": "date", "example": "2022-01-02" }, "available_credit_limit": { "description": "Initial available credit limit of the account.", "type": "number", "example": 1500.5 }, "available_total_installment_credit": { "description": "Amount available for installments in the credit account.", "type": "number", "example": 1000.3 }, "available_withdrawal_credit": { "description": "Amount available for withdrawal in the credit account.", "type": "number", "example": 2000.6 }, "available_savings_account_limit": { "description": "Available limit of the savings account.", "type": "number", "example": 2700.34 }, "held_funds": { "description": "Funds held on the account. Usually, but not always, this occurs due to a legal action.", "type": "number", "example": 10.34 }, "currency_code": { "description": "ISO-4217 alphabetic code (3 characters) for transaction currency.", "type": "string", "example": "BRL" }, "currency_numeric_code": { "description": "ISO-4217 numeric code (3 digits) for transaction currency.", "type": "string", "example": "986" } } }, "AccountBalanceResponse": { "type": "object", "properties": { "pages": { "description": "Total number of pages", "type": "integer", "example": 3 }, "current_page": { "description": "Current page of the pagination", "type": "integer", "example": 1 }, "per_page": { "description": "Amount of items that should be returned on each page", "type": "integer", "example": 1 }, "total_items": { "description": "Total amount of items available", "type": "integer", "example": 3 }, "items": { "description": "Array of available entries", "type": "array", "items": { "oneOf": [ { "$ref": "#/components/schemas/AccountBalance" } ] } } } }, "ErrorModel": { "type": "object", "properties": { "message": { "type": "string", "description": "Message that describes the error.", "example": "An Internal Server Error found, please contact the administrator" }, "code": { "type": "string", "description": "Code that identifies the error type.", "example": "EBLS9999" }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/ErrorDetails" } } } }, "ErrorDetails": { "type": "object", "properties": { "location": { "description": "Location describes the attribute when the error is present", "type": "string", "example": "payload.attribute" }, "message": { "type": "string", "description": "Message that describes the error detail", "example": "attribute is null" } } } }, "examples": { "validationError": { "value": { "message": "Error validating input", "code": "WBLS0005" } }, "genericSystemError": { "value": { "message": "Internal error found, please contact the administrator", "code": "EBLS9999" } }, "dailyBalanceValidationError": { "value": { "message": "Error when parsing the beginDate and/or endDate", "code": "WLDG0021" } } } }, "tags": [ { "name": "Account balances", "description": "Endpoints to manage daily balances." } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v1/accounts/{accountId}/daily-balances": { "get": { "summary": "Get daily account balance limits", "description": "Get daily account balance limits for a date range. By default, if only the account ID is specified, the range is 10 days: from 10 days before yesterday's date to yesterday.\n\nYou can query the account balance limits as far back as 515 days before the current date and for a maximum range of 90 days. You can't query for today's date.\n\nRefer to the [Get daily account balance limits](https://developers.pismo.io/pismo-docs/docs/accounts-overview#get-daily-account-balance-limits) section in the Accounts guide for more information.\n", "operationId": "get-v1-account-balance", "security": [ { "BearerAuth": [] } ], "tags": [ "Account balances" ], "parameters": [ { "in": "path", "name": "accountId", "required": true, "description": "Account ID", "schema": { "type": "number", "example": 123456 } }, { "in": "query", "name": "beginDate", "description": "Beginning date to filter account balances in the yyyy-mm-dd format. This date must be before or equal to `endDate`. If the value is not sent in the request, the default is endDate - 10 days.", "schema": { "type": "string", "format": "date", "example": "2022-01-02" } }, { "in": "query", "name": "endDate", "description": "Ending date to filter account balances in the yyyy-mm-dd format. This date must be after or equal to the beginDate and it must be in the past, yesterday or earlier. Only full/complete days are considered. If the value is not sent in the request, the default is yesterday's date (current date - 1 day).", "schema": { "type": "string", "format": "date", "example": "2022-01-05" } }, { "in": "query", "name": "perPage", "required": false, "description": "Number of entries per page. If the value is not sent in the request, the default value is `10`.", "schema": { "type": "integer", "example": 10, "default": 10 } }, { "in": "query", "name": "page", "required": false, "description": "Page number of results to return. If the value is not sent in the request, the default value is `1`.", "schema": { "type": "integer", "example": 1, "default": 1 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AccountBalanceResponse" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "validation error": { "$ref": "#/components/examples/validationError" }, "daily balance error": { "$ref": "#/components/examples/dailyBalanceValidationError" } } } } }, "500": { "description": "Internal server error.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "system error": { "$ref": "#/components/examples/genericSystemError" } } } } } } } } } } ```